package com.mortals.xhx.module.care.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.care.model.CareDoworkRecordsEntity;
/**
* 办理时间查询对象
*
* @author zxfei
* @date 2025-03-28
*/
public class CareDoworkRecordsQuery extends CareDoworkRecordsEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 个人信息ID */
    private Long personIdStart;

    /** 结束 个人信息ID */
    private Long personIdEnd;

    /** 增加 个人信息ID */
    private Long personIdIncrement;

    /** 个人信息ID列表 */
    private List <Long> personIdList;

    /** 个人信息ID排除列表 */
    private List <Long> personIdNotList;

    /** 开始 办理号ID与等待号id一致 */
    private Long doWorkIdStart;

    /** 结束 办理号ID与等待号id一致 */
    private Long doWorkIdEnd;

    /** 增加 办理号ID与等待号id一致 */
    private Long doWorkIdIncrement;

    /** 办理号ID与等待号id一致列表 */
    private List <Long> doWorkIdList;

    /** 办理号ID与等待号id一致排除列表 */
    private List <Long> doWorkIdNotList;

    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 联系方式 */
    private List<String> contactList;

    /** 联系方式排除列表 */
    private List <String> contactNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 开始 业务Id */
    private Long bussinessIdStart;

    /** 结束 业务Id */
    private Long bussinessIdEnd;

    /** 增加 业务Id */
    private Long bussinessIdIncrement;

    /** 业务Id列表 */
    private List <Long> bussinessIdList;

    /** 业务Id排除列表 */
    private List <Long> bussinessIdNotList;

    /** 预约业务 */
    private List<String> bussinessNameList;

    /** 预约业务排除列表 */
    private List <String> bussinessNameNotList;
    /** 办理业务 */
    private List<String> serviceList;

    /** 办理业务排除列表 */
    private List <String> serviceNotList;
    /** 排队编号 */
    private List<String> queueNoList;

    /** 排队编号排除列表 */
    private List <String> queueNoNotList;
    /** 开始 排队开始时间 */
    private String takeTimeStart;

    /** 结束 排队开始时间 */
    private String takeTimeEnd;

    /** 开始 排队结束时间-业务办理开始时间 */
    private String callTimeStart;

    /** 结束 排队结束时间-业务办理开始时间 */
    private String callTimeEnd;

    /** 开始 办理结束时间 */
    private String endTimeStart;

    /** 结束 办理结束时间 */
    private String endTimeEnd;

    /** 开始 最终办理时长，秒 */
    private Integer waitTimeStart;

    /** 结束 最终办理时长，秒 */
    private Integer waitTimeEnd;

    /** 增加 最终办理时长，秒 */
    private Integer waitTimeIncrement;

    /** 最终办理时长，秒列表 */
    private List <Integer> waitTimeList;

    /** 最终办理时长，秒排除列表 */
    private List <Integer> waitTimeNotList;

    /** 开始 告警次数 */
    private Integer careCountStart;

    /** 结束 告警次数 */
    private Integer careCountEnd;

    /** 增加 告警次数 */
    private Integer careCountIncrement;

    /** 告警次数列表 */
    private List <Integer> careCountList;

    /** 告警次数排除列表 */
    private List <Integer> careCountNotList;

    /** 开始 短信发送次数 */
    private Integer smsCountStart;

    /** 结束 短信发送次数 */
    private Integer smsCountEnd;

    /** 增加 短信发送次数 */
    private Integer smsCountIncrement;

    /** 短信发送次数列表 */
    private List <Integer> smsCountList;

    /** 短信发送次数排除列表 */
    private List <Integer> smsCountNotList;

    /** 评价 */
    private List<String> assessmentList;

    /** 评价排除列表 */
    private List <String> assessmentNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CareDoworkRecordsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CareDoworkRecordsQuery> andConditionList;

    public CareDoworkRecordsQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 个人信息ID
    * @return personIdStart
    */
    public Long getPersonIdStart(){
        return this.personIdStart;
    }

    /**
    * 设置 开始 个人信息ID
    * @param personIdStart
    */
    public void setPersonIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
    }

    /**
    * 获取 结束 个人信息ID
    * @return $personIdEnd
    */
    public Long getPersonIdEnd(){
        return this.personIdEnd;
    }

    /**
    * 设置 结束 个人信息ID
    * @param personIdEnd
    */
    public void setPersonIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
    }

    /**
    * 获取 增加 个人信息ID
    * @return personIdIncrement
    */
    public Long getPersonIdIncrement(){
        return this.personIdIncrement;
    }

    /**
    * 设置 增加 个人信息ID
    * @param personIdIncrement
    */
    public void setPersonIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
    }

    /**
    * 获取 个人信息ID
    * @return personIdList
    */
    public List<Long> getPersonIdList(){
        return this.personIdList;
    }

    /**
    * 设置 个人信息ID
    * @param personIdList
    */
    public void setPersonIdList(List<Long> personIdList){
        this.personIdList = personIdList;
    }

    /**
    * 获取 个人信息ID
    * @return personIdNotList
    */
    public List<Long> getPersonIdNotList(){
        return this.personIdNotList;
    }

    /**
    * 设置 个人信息ID
    * @param personIdNotList
    */
    public void setPersonIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
    }


    /**
    * 获取 开始 办理号ID与等待号id一致
    * @return doWorkIdStart
    */
    public Long getDoWorkIdStart(){
        return this.doWorkIdStart;
    }

    /**
    * 设置 开始 办理号ID与等待号id一致
    * @param doWorkIdStart
    */
    public void setDoWorkIdStart(Long doWorkIdStart){
        this.doWorkIdStart = doWorkIdStart;
    }

    /**
    * 获取 结束 办理号ID与等待号id一致
    * @return $doWorkIdEnd
    */
    public Long getDoWorkIdEnd(){
        return this.doWorkIdEnd;
    }

    /**
    * 设置 结束 办理号ID与等待号id一致
    * @param doWorkIdEnd
    */
    public void setDoWorkIdEnd(Long doWorkIdEnd){
        this.doWorkIdEnd = doWorkIdEnd;
    }

    /**
    * 获取 增加 办理号ID与等待号id一致
    * @return doWorkIdIncrement
    */
    public Long getDoWorkIdIncrement(){
        return this.doWorkIdIncrement;
    }

    /**
    * 设置 增加 办理号ID与等待号id一致
    * @param doWorkIdIncrement
    */
    public void setDoWorkIdIncrement(Long doWorkIdIncrement){
        this.doWorkIdIncrement = doWorkIdIncrement;
    }

    /**
    * 获取 办理号ID与等待号id一致
    * @return doWorkIdList
    */
    public List<Long> getDoWorkIdList(){
        return this.doWorkIdList;
    }

    /**
    * 设置 办理号ID与等待号id一致
    * @param doWorkIdList
    */
    public void setDoWorkIdList(List<Long> doWorkIdList){
        this.doWorkIdList = doWorkIdList;
    }

    /**
    * 获取 办理号ID与等待号id一致
    * @return doWorkIdNotList
    */
    public List<Long> getDoWorkIdNotList(){
        return this.doWorkIdNotList;
    }

    /**
    * 设置 办理号ID与等待号id一致
    * @param doWorkIdNotList
    */
    public void setDoWorkIdNotList(List<Long> doWorkIdNotList){
        this.doWorkIdNotList = doWorkIdNotList;
    }


    /**
    * 获取 姓名
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 姓名
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 姓名
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 联系方式
    * @return contactList
    */
    public List<String> getContactList(){
        return this.contactList;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public void setContactList(List<String> contactList){
        this.contactList = contactList;
    }

    /**
    * 获取 联系方式
    * @return contactNotList
    */
    public List<String> getContactNotList(){
        return this.contactNotList;
    }

    /**
    * 设置 联系方式
    * @param contactNotList
    */
    public void setContactNotList(List<String> contactNotList){
        this.contactNotList = contactNotList;
    }

    /**
    * 获取 身份证号码
    * @return idCardList
    */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
    * 获取 身份证号码
    * @return idCardNotList
    */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
    * 设置 身份证号码
    * @param idCardNotList
    */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
    * 获取 开始 业务Id
    * @return bussinessIdStart
    */
    public Long getBussinessIdStart(){
        return this.bussinessIdStart;
    }

    /**
    * 设置 开始 业务Id
    * @param bussinessIdStart
    */
    public void setBussinessIdStart(Long bussinessIdStart){
        this.bussinessIdStart = bussinessIdStart;
    }

    /**
    * 获取 结束 业务Id
    * @return $bussinessIdEnd
    */
    public Long getBussinessIdEnd(){
        return this.bussinessIdEnd;
    }

    /**
    * 设置 结束 业务Id
    * @param bussinessIdEnd
    */
    public void setBussinessIdEnd(Long bussinessIdEnd){
        this.bussinessIdEnd = bussinessIdEnd;
    }

    /**
    * 获取 增加 业务Id
    * @return bussinessIdIncrement
    */
    public Long getBussinessIdIncrement(){
        return this.bussinessIdIncrement;
    }

    /**
    * 设置 增加 业务Id
    * @param bussinessIdIncrement
    */
    public void setBussinessIdIncrement(Long bussinessIdIncrement){
        this.bussinessIdIncrement = bussinessIdIncrement;
    }

    /**
    * 获取 业务Id
    * @return bussinessIdList
    */
    public List<Long> getBussinessIdList(){
        return this.bussinessIdList;
    }

    /**
    * 设置 业务Id
    * @param bussinessIdList
    */
    public void setBussinessIdList(List<Long> bussinessIdList){
        this.bussinessIdList = bussinessIdList;
    }

    /**
    * 获取 业务Id
    * @return bussinessIdNotList
    */
    public List<Long> getBussinessIdNotList(){
        return this.bussinessIdNotList;
    }

    /**
    * 设置 业务Id
    * @param bussinessIdNotList
    */
    public void setBussinessIdNotList(List<Long> bussinessIdNotList){
        this.bussinessIdNotList = bussinessIdNotList;
    }


    /**
    * 获取 预约业务
    * @return bussinessNameList
    */
    public List<String> getBussinessNameList(){
        return this.bussinessNameList;
    }

    /**
    * 设置 预约业务
    * @param bussinessNameList
    */
    public void setBussinessNameList(List<String> bussinessNameList){
        this.bussinessNameList = bussinessNameList;
    }

    /**
    * 获取 预约业务
    * @return bussinessNameNotList
    */
    public List<String> getBussinessNameNotList(){
        return this.bussinessNameNotList;
    }

    /**
    * 设置 预约业务
    * @param bussinessNameNotList
    */
    public void setBussinessNameNotList(List<String> bussinessNameNotList){
        this.bussinessNameNotList = bussinessNameNotList;
    }

    /**
    * 获取 办理业务
    * @return serviceList
    */
    public List<String> getServiceList(){
        return this.serviceList;
    }

    /**
    * 设置 办理业务
    * @param serviceList
    */
    public void setServiceList(List<String> serviceList){
        this.serviceList = serviceList;
    }

    /**
    * 获取 办理业务
    * @return serviceNotList
    */
    public List<String> getServiceNotList(){
        return this.serviceNotList;
    }

    /**
    * 设置 办理业务
    * @param serviceNotList
    */
    public void setServiceNotList(List<String> serviceNotList){
        this.serviceNotList = serviceNotList;
    }

    /**
    * 获取 排队编号
    * @return queueNoList
    */
    public List<String> getQueueNoList(){
        return this.queueNoList;
    }

    /**
    * 设置 排队编号
    * @param queueNoList
    */
    public void setQueueNoList(List<String> queueNoList){
        this.queueNoList = queueNoList;
    }

    /**
    * 获取 排队编号
    * @return queueNoNotList
    */
    public List<String> getQueueNoNotList(){
        return this.queueNoNotList;
    }

    /**
    * 设置 排队编号
    * @param queueNoNotList
    */
    public void setQueueNoNotList(List<String> queueNoNotList){
        this.queueNoNotList = queueNoNotList;
    }

    /**
    * 获取 开始 排队开始时间
    * @return takeTimeStart
    */
    public String getTakeTimeStart(){
        return this.takeTimeStart;
    }

    /**
    * 设置 开始 排队开始时间
    * @param takeTimeStart
    */
    public void setTakeTimeStart(String takeTimeStart){
        this.takeTimeStart = takeTimeStart;
    }

    /**
    * 获取 结束 排队开始时间
    * @return takeTimeEnd
    */
    public String getTakeTimeEnd(){
        return this.takeTimeEnd;
    }

    /**
    * 设置 结束 排队开始时间
    * @param takeTimeEnd
    */
    public void setTakeTimeEnd(String takeTimeEnd){
        this.takeTimeEnd = takeTimeEnd;
    }

    /**
    * 获取 开始 排队结束时间-业务办理开始时间
    * @return callTimeStart
    */
    public String getCallTimeStart(){
        return this.callTimeStart;
    }

    /**
    * 设置 开始 排队结束时间-业务办理开始时间
    * @param callTimeStart
    */
    public void setCallTimeStart(String callTimeStart){
        this.callTimeStart = callTimeStart;
    }

    /**
    * 获取 结束 排队结束时间-业务办理开始时间
    * @return callTimeEnd
    */
    public String getCallTimeEnd(){
        return this.callTimeEnd;
    }

    /**
    * 设置 结束 排队结束时间-业务办理开始时间
    * @param callTimeEnd
    */
    public void setCallTimeEnd(String callTimeEnd){
        this.callTimeEnd = callTimeEnd;
    }

    /**
    * 获取 开始 办理结束时间
    * @return endTimeStart
    */
    public String getEndTimeStart(){
        return this.endTimeStart;
    }

    /**
    * 设置 开始 办理结束时间
    * @param endTimeStart
    */
    public void setEndTimeStart(String endTimeStart){
        this.endTimeStart = endTimeStart;
    }

    /**
    * 获取 结束 办理结束时间
    * @return endTimeEnd
    */
    public String getEndTimeEnd(){
        return this.endTimeEnd;
    }

    /**
    * 设置 结束 办理结束时间
    * @param endTimeEnd
    */
    public void setEndTimeEnd(String endTimeEnd){
        this.endTimeEnd = endTimeEnd;
    }

    /**
    * 获取 开始 最终办理时长，秒
    * @return waitTimeStart
    */
    public Integer getWaitTimeStart(){
        return this.waitTimeStart;
    }

    /**
    * 设置 开始 最终办理时长，秒
    * @param waitTimeStart
    */
    public void setWaitTimeStart(Integer waitTimeStart){
        this.waitTimeStart = waitTimeStart;
    }

    /**
    * 获取 结束 最终办理时长，秒
    * @return $waitTimeEnd
    */
    public Integer getWaitTimeEnd(){
        return this.waitTimeEnd;
    }

    /**
    * 设置 结束 最终办理时长，秒
    * @param waitTimeEnd
    */
    public void setWaitTimeEnd(Integer waitTimeEnd){
        this.waitTimeEnd = waitTimeEnd;
    }

    /**
    * 获取 增加 最终办理时长，秒
    * @return waitTimeIncrement
    */
    public Integer getWaitTimeIncrement(){
        return this.waitTimeIncrement;
    }

    /**
    * 设置 增加 最终办理时长，秒
    * @param waitTimeIncrement
    */
    public void setWaitTimeIncrement(Integer waitTimeIncrement){
        this.waitTimeIncrement = waitTimeIncrement;
    }

    /**
    * 获取 最终办理时长，秒
    * @return waitTimeList
    */
    public List<Integer> getWaitTimeList(){
        return this.waitTimeList;
    }

    /**
    * 设置 最终办理时长，秒
    * @param waitTimeList
    */
    public void setWaitTimeList(List<Integer> waitTimeList){
        this.waitTimeList = waitTimeList;
    }

    /**
    * 获取 最终办理时长，秒
    * @return waitTimeNotList
    */
    public List<Integer> getWaitTimeNotList(){
        return this.waitTimeNotList;
    }

    /**
    * 设置 最终办理时长，秒
    * @param waitTimeNotList
    */
    public void setWaitTimeNotList(List<Integer> waitTimeNotList){
        this.waitTimeNotList = waitTimeNotList;
    }


    /**
    * 获取 开始 告警次数
    * @return careCountStart
    */
    public Integer getCareCountStart(){
        return this.careCountStart;
    }

    /**
    * 设置 开始 告警次数
    * @param careCountStart
    */
    public void setCareCountStart(Integer careCountStart){
        this.careCountStart = careCountStart;
    }

    /**
    * 获取 结束 告警次数
    * @return $careCountEnd
    */
    public Integer getCareCountEnd(){
        return this.careCountEnd;
    }

    /**
    * 设置 结束 告警次数
    * @param careCountEnd
    */
    public void setCareCountEnd(Integer careCountEnd){
        this.careCountEnd = careCountEnd;
    }

    /**
    * 获取 增加 告警次数
    * @return careCountIncrement
    */
    public Integer getCareCountIncrement(){
        return this.careCountIncrement;
    }

    /**
    * 设置 增加 告警次数
    * @param careCountIncrement
    */
    public void setCareCountIncrement(Integer careCountIncrement){
        this.careCountIncrement = careCountIncrement;
    }

    /**
    * 获取 告警次数
    * @return careCountList
    */
    public List<Integer> getCareCountList(){
        return this.careCountList;
    }

    /**
    * 设置 告警次数
    * @param careCountList
    */
    public void setCareCountList(List<Integer> careCountList){
        this.careCountList = careCountList;
    }

    /**
    * 获取 告警次数
    * @return careCountNotList
    */
    public List<Integer> getCareCountNotList(){
        return this.careCountNotList;
    }

    /**
    * 设置 告警次数
    * @param careCountNotList
    */
    public void setCareCountNotList(List<Integer> careCountNotList){
        this.careCountNotList = careCountNotList;
    }


    /**
    * 获取 开始 短信发送次数
    * @return smsCountStart
    */
    public Integer getSmsCountStart(){
        return this.smsCountStart;
    }

    /**
    * 设置 开始 短信发送次数
    * @param smsCountStart
    */
    public void setSmsCountStart(Integer smsCountStart){
        this.smsCountStart = smsCountStart;
    }

    /**
    * 获取 结束 短信发送次数
    * @return $smsCountEnd
    */
    public Integer getSmsCountEnd(){
        return this.smsCountEnd;
    }

    /**
    * 设置 结束 短信发送次数
    * @param smsCountEnd
    */
    public void setSmsCountEnd(Integer smsCountEnd){
        this.smsCountEnd = smsCountEnd;
    }

    /**
    * 获取 增加 短信发送次数
    * @return smsCountIncrement
    */
    public Integer getSmsCountIncrement(){
        return this.smsCountIncrement;
    }

    /**
    * 设置 增加 短信发送次数
    * @param smsCountIncrement
    */
    public void setSmsCountIncrement(Integer smsCountIncrement){
        this.smsCountIncrement = smsCountIncrement;
    }

    /**
    * 获取 短信发送次数
    * @return smsCountList
    */
    public List<Integer> getSmsCountList(){
        return this.smsCountList;
    }

    /**
    * 设置 短信发送次数
    * @param smsCountList
    */
    public void setSmsCountList(List<Integer> smsCountList){
        this.smsCountList = smsCountList;
    }

    /**
    * 获取 短信发送次数
    * @return smsCountNotList
    */
    public List<Integer> getSmsCountNotList(){
        return this.smsCountNotList;
    }

    /**
    * 设置 短信发送次数
    * @param smsCountNotList
    */
    public void setSmsCountNotList(List<Integer> smsCountNotList){
        this.smsCountNotList = smsCountNotList;
    }


    /**
    * 获取 评价
    * @return assessmentList
    */
    public List<String> getAssessmentList(){
        return this.assessmentList;
    }

    /**
    * 设置 评价
    * @param assessmentList
    */
    public void setAssessmentList(List<String> assessmentList){
        this.assessmentList = assessmentList;
    }

    /**
    * 获取 评价
    * @return assessmentNotList
    */
    public List<String> getAssessmentNotList(){
        return this.assessmentNotList;
    }

    /**
    * 设置 评价
    * @param assessmentNotList
    */
    public void setAssessmentNotList(List<String> assessmentNotList){
        this.assessmentNotList = assessmentNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人ID
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人ID
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人ID
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public CareDoworkRecordsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public CareDoworkRecordsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public CareDoworkRecordsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public CareDoworkRecordsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public CareDoworkRecordsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public CareDoworkRecordsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public CareDoworkRecordsQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public CareDoworkRecordsQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public CareDoworkRecordsQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public CareDoworkRecordsQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public CareDoworkRecordsQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public CareDoworkRecordsQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public CareDoworkRecordsQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public CareDoworkRecordsQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  个人信息ID
    * @param personId
    */
    public CareDoworkRecordsQuery personId(Long personId){
	    setPersonId(personId);
		return this;
    }
	
	 /**
    * 设置 开始 个人信息ID
    * @param personIdStart
    */
    public CareDoworkRecordsQuery personIdStart(Long personIdStart){
		this.personIdStart = personIdStart;
		return this;
    }

    /**
    * 设置 结束 个人信息ID
    * @param personIdEnd
    */
    public CareDoworkRecordsQuery personIdEnd(Long personIdEnd){
		this.personIdEnd = personIdEnd;
		return this;
    }

    /**
    * 设置 增加 个人信息ID
    * @param personIdIncrement
    */
    public CareDoworkRecordsQuery personIdIncrement(Long personIdIncrement){
		this.personIdIncrement = personIdIncrement;
		return this;
    }

    /**
    * 设置 个人信息ID
    * @param personIdList
    */
    public CareDoworkRecordsQuery personIdList(List<Long> personIdList){
        this.personIdList = personIdList;
		return this;
        }

        /**
        * 设置 个人信息ID
        * @param personIdNotList
        */
        public CareDoworkRecordsQuery personIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
        return this;
        }

    /**
    * 设置  办理号ID与等待号id一致
    * @param doWorkId
    */
    public CareDoworkRecordsQuery doWorkId(Long doWorkId){
	    setDoWorkId(doWorkId);
		return this;
    }
	
	 /**
    * 设置 开始 办理号ID与等待号id一致
    * @param doWorkIdStart
    */
    public CareDoworkRecordsQuery doWorkIdStart(Long doWorkIdStart){
		this.doWorkIdStart = doWorkIdStart;
		return this;
    }

    /**
    * 设置 结束 办理号ID与等待号id一致
    * @param doWorkIdEnd
    */
    public CareDoworkRecordsQuery doWorkIdEnd(Long doWorkIdEnd){
		this.doWorkIdEnd = doWorkIdEnd;
		return this;
    }

    /**
    * 设置 增加 办理号ID与等待号id一致
    * @param doWorkIdIncrement
    */
    public CareDoworkRecordsQuery doWorkIdIncrement(Long doWorkIdIncrement){
		this.doWorkIdIncrement = doWorkIdIncrement;
		return this;
    }

    /**
    * 设置 办理号ID与等待号id一致
    * @param doWorkIdList
    */
    public CareDoworkRecordsQuery doWorkIdList(List<Long> doWorkIdList){
        this.doWorkIdList = doWorkIdList;
		return this;
        }

        /**
        * 设置 办理号ID与等待号id一致
        * @param doWorkIdNotList
        */
        public CareDoworkRecordsQuery doWorkIdNotList(List<Long> doWorkIdNotList){
        this.doWorkIdNotList = doWorkIdNotList;
        return this;
        }


	/**
    * 设置 姓名
    * @param name
    */
    public CareDoworkRecordsQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public CareDoworkRecordsQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 联系方式
    * @param contact
    */
    public CareDoworkRecordsQuery contact(String contact){
        setContact(contact);
		return this;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public CareDoworkRecordsQuery contactList(List<String> contactList){
        this.contactList = contactList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idCard
    */
    public CareDoworkRecordsQuery idCard(String idCard){
        setIdCard(idCard);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public CareDoworkRecordsQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
		return this;
    }

    /**
    * 设置  业务Id
    * @param bussinessId
    */
    public CareDoworkRecordsQuery bussinessId(Long bussinessId){
	    setBussinessId(bussinessId);
		return this;
    }
	
	 /**
    * 设置 开始 业务Id
    * @param bussinessIdStart
    */
    public CareDoworkRecordsQuery bussinessIdStart(Long bussinessIdStart){
		this.bussinessIdStart = bussinessIdStart;
		return this;
    }

    /**
    * 设置 结束 业务Id
    * @param bussinessIdEnd
    */
    public CareDoworkRecordsQuery bussinessIdEnd(Long bussinessIdEnd){
		this.bussinessIdEnd = bussinessIdEnd;
		return this;
    }

    /**
    * 设置 增加 业务Id
    * @param bussinessIdIncrement
    */
    public CareDoworkRecordsQuery bussinessIdIncrement(Long bussinessIdIncrement){
		this.bussinessIdIncrement = bussinessIdIncrement;
		return this;
    }

    /**
    * 设置 业务Id
    * @param bussinessIdList
    */
    public CareDoworkRecordsQuery bussinessIdList(List<Long> bussinessIdList){
        this.bussinessIdList = bussinessIdList;
		return this;
        }

        /**
        * 设置 业务Id
        * @param bussinessIdNotList
        */
        public CareDoworkRecordsQuery bussinessIdNotList(List<Long> bussinessIdNotList){
        this.bussinessIdNotList = bussinessIdNotList;
        return this;
        }


	/**
    * 设置 预约业务
    * @param bussinessName
    */
    public CareDoworkRecordsQuery bussinessName(String bussinessName){
        setBussinessName(bussinessName);
		return this;
    }

    /**
    * 设置 预约业务
    * @param bussinessNameList
    */
    public CareDoworkRecordsQuery bussinessNameList(List<String> bussinessNameList){
        this.bussinessNameList = bussinessNameList;
		return this;
    }


	/**
    * 设置 办理业务
    * @param service
    */
    public CareDoworkRecordsQuery service(String service){
        setService(service);
		return this;
    }

    /**
    * 设置 办理业务
    * @param serviceList
    */
    public CareDoworkRecordsQuery serviceList(List<String> serviceList){
        this.serviceList = serviceList;
		return this;
    }


	/**
    * 设置 排队编号
    * @param queueNo
    */
    public CareDoworkRecordsQuery queueNo(String queueNo){
        setQueueNo(queueNo);
		return this;
    }

    /**
    * 设置 排队编号
    * @param queueNoList
    */
    public CareDoworkRecordsQuery queueNoList(List<String> queueNoList){
        this.queueNoList = queueNoList;
		return this;
    }




    /**
    * 设置  最终办理时长，秒
    * @param waitTime
    */
    public CareDoworkRecordsQuery waitTime(Integer waitTime){
	    setWaitTime(waitTime);
		return this;
    }
	
	 /**
    * 设置 开始 最终办理时长，秒
    * @param waitTimeStart
    */
    public CareDoworkRecordsQuery waitTimeStart(Integer waitTimeStart){
		this.waitTimeStart = waitTimeStart;
		return this;
    }

    /**
    * 设置 结束 最终办理时长，秒
    * @param waitTimeEnd
    */
    public CareDoworkRecordsQuery waitTimeEnd(Integer waitTimeEnd){
		this.waitTimeEnd = waitTimeEnd;
		return this;
    }

    /**
    * 设置 增加 最终办理时长，秒
    * @param waitTimeIncrement
    */
    public CareDoworkRecordsQuery waitTimeIncrement(Integer waitTimeIncrement){
		this.waitTimeIncrement = waitTimeIncrement;
		return this;
    }

    /**
    * 设置 最终办理时长，秒
    * @param waitTimeList
    */
    public CareDoworkRecordsQuery waitTimeList(List<Integer> waitTimeList){
        this.waitTimeList = waitTimeList;
		return this;
        }

        /**
        * 设置 最终办理时长，秒
        * @param waitTimeNotList
        */
        public CareDoworkRecordsQuery waitTimeNotList(List<Integer> waitTimeNotList){
        this.waitTimeNotList = waitTimeNotList;
        return this;
        }

    /**
    * 设置  告警次数
    * @param careCount
    */
    public CareDoworkRecordsQuery careCount(Integer careCount){
	    setCareCount(careCount);
		return this;
    }
	
	 /**
    * 设置 开始 告警次数
    * @param careCountStart
    */
    public CareDoworkRecordsQuery careCountStart(Integer careCountStart){
		this.careCountStart = careCountStart;
		return this;
    }

    /**
    * 设置 结束 告警次数
    * @param careCountEnd
    */
    public CareDoworkRecordsQuery careCountEnd(Integer careCountEnd){
		this.careCountEnd = careCountEnd;
		return this;
    }

    /**
    * 设置 增加 告警次数
    * @param careCountIncrement
    */
    public CareDoworkRecordsQuery careCountIncrement(Integer careCountIncrement){
		this.careCountIncrement = careCountIncrement;
		return this;
    }

    /**
    * 设置 告警次数
    * @param careCountList
    */
    public CareDoworkRecordsQuery careCountList(List<Integer> careCountList){
        this.careCountList = careCountList;
		return this;
        }

        /**
        * 设置 告警次数
        * @param careCountNotList
        */
        public CareDoworkRecordsQuery careCountNotList(List<Integer> careCountNotList){
        this.careCountNotList = careCountNotList;
        return this;
        }

    /**
    * 设置  短信发送次数
    * @param smsCount
    */
    public CareDoworkRecordsQuery smsCount(Integer smsCount){
	    setSmsCount(smsCount);
		return this;
    }
	
	 /**
    * 设置 开始 短信发送次数
    * @param smsCountStart
    */
    public CareDoworkRecordsQuery smsCountStart(Integer smsCountStart){
		this.smsCountStart = smsCountStart;
		return this;
    }

    /**
    * 设置 结束 短信发送次数
    * @param smsCountEnd
    */
    public CareDoworkRecordsQuery smsCountEnd(Integer smsCountEnd){
		this.smsCountEnd = smsCountEnd;
		return this;
    }

    /**
    * 设置 增加 短信发送次数
    * @param smsCountIncrement
    */
    public CareDoworkRecordsQuery smsCountIncrement(Integer smsCountIncrement){
		this.smsCountIncrement = smsCountIncrement;
		return this;
    }

    /**
    * 设置 短信发送次数
    * @param smsCountList
    */
    public CareDoworkRecordsQuery smsCountList(List<Integer> smsCountList){
        this.smsCountList = smsCountList;
		return this;
        }

        /**
        * 设置 短信发送次数
        * @param smsCountNotList
        */
        public CareDoworkRecordsQuery smsCountNotList(List<Integer> smsCountNotList){
        this.smsCountNotList = smsCountNotList;
        return this;
        }


	/**
    * 设置 评价
    * @param assessment
    */
    public CareDoworkRecordsQuery assessment(String assessment){
        setAssessment(assessment);
		return this;
    }

    /**
    * 设置 评价
    * @param assessmentList
    */
    public CareDoworkRecordsQuery assessmentList(List<String> assessmentList){
        this.assessmentList = assessmentList;
		return this;
    }


    /**
    * 设置  创建人ID
    * @param createUserId
    */
    public CareDoworkRecordsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public CareDoworkRecordsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public CareDoworkRecordsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public CareDoworkRecordsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public CareDoworkRecordsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人ID
        * @param createUserIdNotList
        */
        public CareDoworkRecordsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人ID
    * @param updateUserId
    */
    public CareDoworkRecordsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public CareDoworkRecordsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public CareDoworkRecordsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public CareDoworkRecordsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public CareDoworkRecordsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人ID
        * @param updateUserIdNotList
        */
        public CareDoworkRecordsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CareDoworkRecordsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CareDoworkRecordsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CareDoworkRecordsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CareDoworkRecordsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}